Package org.apache.cxf.io

# Interface CopyingOutputStream

public interface CopyingOutputStream
Marker interface for OutputStreams that can directly support copying from an input stream. OutputStreams that maintain their own byte buffer or similar may be able to optimize the copy instead of using the read/write into a temporary buffer that the normal IOUtils.copy method requires.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `copyFrom(InputStream in)`

- ## Method Details

  - ### copyFrom

    int copyFrom(InputStream in) throws IOException
    Throws:
      `IOException`